<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_d8e7d6018547d8c" . "10e1de2e6a8aa685" . "8" => base64_decode("Zn" . "dy" . "aX" . "Rl"), "_aed8da0f19091214b78f8035" . "1048517c" => base64_decode("c3Ry" . "bGVu"));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;




class MailgunAttachmentString implements MailAttachment
{
    protected $name;
    protected $content;
    
    
    
    
    
    public function __construct(string $name, string $_24ca62b4d01cc6d515dfd0bea4c9d59a)
    {
        $this->name = $name;
        $this->content = $_24ca62b4d01cc6d515dfd0bea4c9d59a;
    }
    
    
    
    
    public function GetName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function GetSize() : int
    {
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aed8da0f19091214b78f80351" . "048517c"]($this->content);
    }
    
    
    
    
    
    
    
    
    public function SaveToStream($_1cc5aa2f679b575f82786a73f0da28f8) : int
    {
        return (int) $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d8e7d6018547d8c10e1" . "de2e6a8aa6858"]($_1cc5aa2f679b575f82786a73f0da28f8, $this->content);
    }
}